> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Signed Key

> Allow apps to register an Ethereum addresses as authorized "auth addresses" for a user's Farcaster account, enabling seamless Sign-In With Farcaster (SIWF) across applications without repeated custody wallet authorizations.

## Node.js SDK

🔗 **SDK Method:** [registerSignedKeyForDeveloperManagedAuthAddress](/nodejs-sdk/auth-addres-apis/registerSignedKeyForDeveloperManagedAuthAddress)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml post /v2/farcaster/auth_address/developer_managed/signed_key/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/farcaster/auth_address/developer_managed/signed_key/:
    post:
      tags:
        - AuthAddress
      summary: Register Signed Key
      description: >-
        Allow apps to register an Ethereum addresses as authorized "auth
        addresses" for a user's Farcaster account, enabling seamless Sign-In
        With Farcaster (SIWF) across applications without repeated custody
        wallet authorizations.
      operationId: register-signed-key-for-developer-managed-auth-address
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/RegisterAuthAddressDeveloperManagedSignedKeyReqBody
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  address:
                    $ref: '#/components/schemas/EthAddress'
                  auth_address_approval_url:
                    format: uri
                    type: string
                  fid:
                    $ref: '#/components/schemas/Fid'
                  status:
                    enum:
                      - pending_approval
                      - approved
                      - revoked
                    type: string
                required:
                  - address
                  - status
                type: object
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Server Error
      externalDocs:
        url: >-
          https://docs.neynar.com/reference/register-signed-key-for-developer-managed-auth-address
components:
  schemas:
    RegisterAuthAddressDeveloperManagedSignedKeyReqBody:
      properties:
        address:
          $ref: '#/components/schemas/EthAddress'
        app_fid:
          $ref: '#/components/schemas/Fid'
        deadline:
          description: >-
            unix timestamp in seconds that controls how long the signed key
            request is valid for. (24 hours from now is recommended)
          type: integer
        redirect_url:
          description: >-
            Url to redirect to after the signer is approved.

            **Note** : This should only be used when requesting a signer from a
            native mobile application.
          type: string
        signature:
          description: >-
            Signature generated by the custody address of the app. Signed data
            includes app_fid, deadline, 32 bytes padded auth address. [Refer
            guide for more
            details.](https://docs.neynar.com/docs/auth-address-signature-generation)
          example: >-
            0x16161933625ac90b7201625bfea0d816de0449ea1802d97a38c53eef3c9c0c424fefbc5c6fb5eabe3d4f161a36d18cda585cff7e77c677c5d34a9c87e68ede011c
          pattern: ^0x[a-fA-F0-9]+$
          type: string
        sponsor:
          $ref: '#/components/schemas/SignedKeyRequestSponsor'
      required:
        - address
        - app_fid
        - deadline
        - signature
      title: RegisterAuthAddressDeveloperManagedSignedKeyReqBody
      type: object
    EthAddress:
      description: Ethereum address
      example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
      pattern: ^0x[a-fA-F0-9]{40}$
      title: EthAddress
      type: string
    Fid:
      description: The unique identifier of a farcaster user or app (unsigned integer)
      example: 3
      format: int32
      minimum: 0
      title: Fid
      type: integer
    ErrorRes:
      description: Details for the error response
      properties:
        code:
          type: string
        message:
          type: string
        property:
          type: string
        status:
          format: int32
          type: integer
      required:
        - message
      title: ErrorRes
      type: object
    SignedKeyRequestSponsor:
      properties:
        fid:
          $ref: '#/components/schemas/Fid'
        signature:
          description: >-
            Signature generated by the fid of the sponsor and the signature
            generated from signKeyRequest for the app.
          type: string
        sponsored_by_neynar:
          description: >-
            Neynar will sponsor the signer if set to true.

            **Note: ** If sponsor.fid and sponsor.signature are provided along
            with sponsored_by_neynar set to true,

            the sponsor.fid and sponsor.signature will be ignored.

            Neynar will sponsor the signer on behalf of the user. The developer
            will get charged in credits.
          type: boolean
      title: SignedKeyRequestSponsor
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````